请选择 进入手机版 | 继续访问电脑版

[Dynamo基础] Dynamo获取墙体厚度方法

[复制链接]
查看570 | 回复0 | 2022-3-8 13:46:57 | 显示全部楼层 |阅读模式
import clr
clr.AddReference('ProtoGeometry')
from Autodesk.DesignScript.Geometry import *

clr.AddReference("RevitAPI")
import Autodesk
from Autodesk.Revit.DB.Events import *
from Autodesk.Revit.DB import *
from math import *

wall=UnwrapElement(IN[0])
wallwidth=wall.Width
width=wallwidth*304.8

OUT=width





import clr
clr.AddReference('ProtoGeometry')
from Autodesk.DesignScript.Geometry import *

clr.AddReference("RevitAPI")
import Autodesk
从 Autodesk.Revit.DB.Events 导入 *
从 Autodesk.Revit.DB 导入 *
从数学导入 *

墙=UnwrapElement(IN[0])

墙宽=[]
对于墙壁中的 i:
               wallswidth.append(i.Width)

width=[]
对于墙壁中的 j:
             width.append(j*304.8)

OUT=width

回复

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则